package com.ruoyi.erp.request;

import com.alibaba.fastjson2.JSONObject;

/**
 * 订单卡密列表请求
 *
 * 对应接口：POST /api/open/order/kam/list
 */
public class OrderKamListQueryRequest extends ERPRequestBase {
	public OrderKamListQueryRequest(IERPAccount erpAccount) {
		super("https://open.goofish.pro/api/open/order/kam/list", erpAccount);
	}

	public void setOrderNo(String orderNo) {
		ensureBody();
		this.requestBody.put("order_no", orderNo);
	}

	private void ensureBody() { if (this.requestBody == null) this.requestBody = new JSONObject(); }
}


